Bug 1272987 - [abrt] nautilus: g_bit_lock(): nautilus killed by SIGSEGV
[abrt] nautilus: g_bit_lock(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1ada1091bfdfe85caa463d9a2ad...
:
: 1309162 1320975 1323609 1329077 1330471 1357249 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 07:22 EDT by Vedran Miletić
Modified: 2016-12-20 10:03 EST (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.58 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: core_backtrace (5.00 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: dso_list (18.93 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: environ (858 bytes, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: maps (85.57 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: mountinfo (3.33 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: open_fds (3.06 KB, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details
File: var_log_messages (293 bytes, text/plain)
2015-10-19 07:22 EDT, Vedran Miletić
no flags Details

  None (edit)
Description Vedran Miletić 2015-10-19 07:22:16 EDT
Description of problem:
Browsed a directory over sftp using the search/autocomplete function

Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     6769
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_bit_lock at gbitlock.c:214
 #1 g_variant_lock at gvariant-core.c:221
 #2 g_variant_n_children at gvariant-core.c:929
 #3 g_variant_iter_init at gvariant.c:2946
 #4 nautilus_files_view_reset_view_menu at nautilus-files-view.c:6665
 #5 nautilus_files_view_update_toolbar_menus at nautilus-files-view.c:6708
 #6 done_loading at nautilus-files-view.c:3120
 #8 nautilus_files_view_stop_loading at nautilus-files-view.c:7193
 #9 begin_location_change at nautilus-window-slot.c:919
 #10 nautilus_window_slot_open_location_full at nautilus-window-slot.c:800
Comment 1 Vedran Miletić 2015-10-19 07:22:20 EDT
Created attachment 1084351 [details]
File: backtrace
Comment 2 Vedran Miletić 2015-10-19 07:22:22 EDT
Created attachment 1084352 [details]
File: cgroup
Comment 3 Vedran Miletić 2015-10-19 07:22:23 EDT
Created attachment 1084353 [details]
File: core_backtrace
Comment 4 Vedran Miletić 2015-10-19 07:22:25 EDT
Created attachment 1084354 [details]
File: dso_list
Comment 5 Vedran Miletić 2015-10-19 07:22:26 EDT
Created attachment 1084355 [details]
File: environ
Comment 6 Vedran Miletić 2015-10-19 07:22:28 EDT
Created attachment 1084356 [details]
File: exploitable
Comment 7 Vedran Miletić 2015-10-19 07:22:29 EDT
Created attachment 1084357 [details]
File: limits
Comment 8 Vedran Miletić 2015-10-19 07:22:31 EDT
Created attachment 1084358 [details]
File: maps
Comment 9 Vedran Miletić 2015-10-19 07:22:32 EDT
Created attachment 1084359 [details]
File: mountinfo
Comment 10 Vedran Miletić 2015-10-19 07:22:34 EDT
Created attachment 1084360 [details]
File: open_fds
Comment 11 Vedran Miletić 2015-10-19 07:22:35 EDT
Created attachment 1084361 [details]
File: proc_pid_status
Comment 12 Vedran Miletić 2015-10-19 07:22:37 EDT
Created attachment 1084362 [details]
File: var_log_messages
Comment 13 Vedran Miletić 2015-10-19 14:07:08 EDT
Another user experienced a similar problem:

Browse remote directory using nautilus search function, crashes upon entering a subdir

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     5647
kernel:         4.2.3-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Марко М. Костић (Marko M. Kostić) 2015-11-12 09:54:37 EST
Fedora's ABRT tells me that this is the same problem I was having.

I've also experienced this issue. I've found that I was able to reproduce it by doing the following:

1. Open Nautilus and open a mounted samba share,
2. Click on the left sidebar on a mounted USB drive,
3. Create a new tab and click to open a mounted samba share again.
Comment 15 Anass Ahmed 2015-11-23 18:47:44 EST
Another user experienced a similar problem:

Dropbox notification was trying to open a photo (recently synchronised) using nautilus.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     24400
kernel:         4.2.5-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Vasilis Keramidas 2015-11-25 08:22:51 EST
Another user experienced a similar problem:

I tried to access a specific folder on a Windows Share (through smb://)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     17702
kernel:         4.2.6-300.fc23.x86_64
package:        nautilus-3.18.2-2.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 汪明衡 2015-12-10 03:30:09 EST
Another user experienced a similar problem:

I closed it while it was opening a directory and then it crashed. Since upgraded to F23 nautilus loads contents of directories very slow after some time, though I have directories contain massive amount of files such as my calibre library, it becomes very slow even when opening empty dirs after this happens. Besides, in Fedora 22 I can seldom open nautilus without killing it after at command line upon first login. It's just hanging there and the cursor is spinning after I click its icon. Sometimes killing tracker* brings it up. Not sure if the two relate to each other, just mention it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     3947
kernel:         4.2.6-301.fc23.x86_64
package:        nautilus-3.18.2-2.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Vedran Miletić 2015-12-20 10:50:19 EST
Still happens in nautilus-3.18.3-1.fc23.x86_64. Will retry with nautilus-3.18.4-1.fc23.x86_64.
Comment 19 hunt4steven 2015-12-20 12:14:17 EST
Another user experienced a similar problem:

Was ctrl+f searching for folder name in Nautilus

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     9895
kernel:         4.2.7-300.fc23.x86_64
package:        nautilus-3.18.3-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Damien Gombault 2016-01-05 04:47:47 EST
Hi.

I get this crash too.
I was browsing a remote (SFTP) directory using nautilus search function.
Comment 21 Dan Dragomir 2016-01-09 14:03:06 EST
It also happens to me when clicking on a folder in the search results, but only when I'm searching on a remote folder (over SFTP). There also seems to be a timing component: if I wait a little (5-10sec) after I get the search results it crashes less often.
Comment 22 Andrew Cook 2016-01-12 22:15:29 EST
I can trigger this crash fairly reliably

1. Go to the trash folder, it should display a blue bar at the top with restore/empty buttons
2. Click on a remote share
3. Immediately type to begin a search

if you see the search bar appear before the blue bar from the trash folder disappears, it should trigger this crash
Comment 23 Jiri Eischmann 2016-01-14 05:15:31 EST
Another user experienced a similar problem:

Opened Nautilus, clicked Other location, clicked This computer... and it crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     7974
kernel:         4.3.0-1.fc24.x86_64
package:        nautilus-3.18.4-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Michael Catanzaro 2016-01-18 19:19:34 EST
Another user experienced a similar problem:

I was searching for a file.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
journald_cursor: s=f4e3d31c2cd74765bfef86f28866eb2f;i=19f3c;b=008ec9b821194bbba0cdb5f1eb3c6b36;m=8515a8132;t=529a4b9c667e6;x=e841afe8d5b7f77e
kernel:         4.2.8-300.fc23.x86_64
package:        nautilus-3.18.4-1.fc23
reason:         nautilus killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 fiendishx 2016-02-07 18:29:12 EST
Another user experienced a similar problem:

move a few dozen photos from one directory to another

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     5649
kernel:         4.3.4-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 26 Yonatan 2016-02-16 22:11:06 EST
*** Bug 1309162 has been marked as a duplicate of this bug. ***
Comment 27 Daniel Rindt 2016-02-26 04:06:38 EST
Similar problem has been detected:

Searching inside a gvfs mountes samba fs for a file

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     6828
kernel:         4.3.5-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 Vasilis Keramidas 2016-03-09 04:36:11 EST
Similar problem has been detected:

I used nautilus to search inside an samba share

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     7388
kernel:         4.4.3-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 Nicholas 2016-03-19 14:32:21 EDT
Similar problem has been detected:

Did a search for "odt" then a search for "doc" and it suddenly crashed on me.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     4577
kernel:         4.4.4-301.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 Luca Ciavatta 2016-03-24 07:46:52 EDT
*** Bug 1320975 has been marked as a duplicate of this bug. ***
Comment 31 lennart_reuther 2016-03-27 12:33:35 EDT
Similar problem has been detected:

slow samba-connection, directory with lots of 2MB pictures. Changed from list view to tiles view.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     24391
kernel:         4.4.6-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 32 Jiri Nytra 2016-04-04 04:48:38 EDT
*** Bug 1323609 has been marked as a duplicate of this bug. ***
Comment 33 Luca Ciavatta 2016-04-06 01:55:24 EDT
Similar problem has been detected:

I wrote some letters on keyboard to perform a research inside a nested folder and nautilus crashed.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     3436
kernel:         4.4.6-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 34 yaoye 2016-04-21 02:58:01 EDT
*** Bug 1329077 has been marked as a duplicate of this bug. ***
Comment 35 Matej 2016-04-26 06:08:54 EDT
*** Bug 1330471 has been marked as a duplicate of this bug. ***
Comment 36 Matej 2016-04-26 18:31:54 EDT
Similar problem has been detected:

- opened sftp remote folder
- selected 300 GB worth of files
- hit delete
- files are  being added to the delete queue
- opened a new tab
- clicked on "home" bookmark

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     19886
kernel:         4.4.7-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 37 Afonso Bordado 2016-05-01 09:19:23 EDT
Similar problem has been detected:

Using nautilus to browse a network share (SMB) sometimes makes it crash, it might also be because i opened a second  nautlius windows to the same share (difrent folder), I can't give a step-by-step to reproduce this because it's inconsistent

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     5467
kernel:         4.4.8-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 38 Krzysztof Troska 2016-05-14 10:30:53 EDT
Similar problem has been detected:

Just after starting moving file to a nfs mounted directory i started typing to search for files. After that it crashed.
This directory is quiet big (642 files/directories).

Mount options: rw,nosuid,nodev,noexec,relatime,vers=4.1,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp,
port=0,timeo=600,retrans=2,sec=sys,clientaddr=192.168.1.13,local_lock=none,
addr=192.168.1.10,user=elleander

NFS-server: CentOS 7.2

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     29330
kernel:         4.4.9-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 39 Vasilis Keramidas 2016-05-25 08:47:06 EDT
Similar problem has been detected:

I searched inside a mounted samba share

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     9443
kernel:         4.4.9-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 40 ahmed 2016-07-17 04:11:53 EDT
*** Bug 1357249 has been marked as a duplicate of this bug. ***
Comment 41 汪明衡 2016-08-18 23:39:56 EDT
Similar problem has been detected:

I was navigating on a ssh server, namely in kernel source folders. I was entering folders by typing folder name to search and pressing 'Enter', after going through several levels of depth nautilus crashed.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_bit_lock
executable:     /usr/bin/nautilus
global_pid:     2472
kernel:         4.6.6-200.fc23.i686
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 42 Fedora End Of Life 2016-11-24 07:50:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 43 Fedora End Of Life 2016-12-20 10:03:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.